cdac.medinfo.sdk.hl7282.baselibs.segments

## Class MCP

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.MCP

- All Implemented Interfaces:
    ISegment

      public class MCP
      extends Segment

  MCP - Master File Coverage Policy Segment

  The Technical Steward for the PM1 segment is Orders and Observations. For the payer defined in PM1-1 and the service provider defined in MFE-4: • When MFI-1 is MLCP (Medical Limited Coverage Process) this segment is identifing what is in limited coverage. • When MFI-1 is MACP (Medical Approved Coverage Process) this segment is identifing what is approved. This segment defines the tests that are approved for a given Diagnosis Code based on the Procedure Code.

  Represents an HL7 MCP message segment. This segment has the following fields:

  MCP-1: Set ID - MCP (SI)Required
  MCP-2: Producer's Service/Test/Observation ID (CWE)Required
  MCP-3: Universal Service Price Range – Low Value (MO)Optional
  MCP-4: Universal Service Price Range – High Value (MO)Optional
  MCP-5: Reason for Universal Service Cost Range (ST)Conditional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MCP()` Constructs the OMC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CWE` | `getProducerServiceTestObservationID()` Retrieves the Producer Service Test Observation ID.
    `ST` | `getReasonForUniversalServiceCostRange()` Retrieves the Reason for Universal Service Cost Range.
    `SI` | `getSetID_MCP()` Retrieves the Set ID - MCP.
    `MO` | `getUniversalServicePriceRange_HighValue()` Retrieves the Universal Service Price Range – High Value.
    `MO` | `getUniversalServicePriceRange_LowValue()` Retrieves the Universal Service Price Range – Low Value.
    `void` | `setProducerServiceTestObservationID(CWE objproducerServiceTestObservationID)` Set the Producer Service Test Observation ID.
    `void` | `setProducerServiceTestObservationID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Producer Service Test Observation ID.
    `void` | `setReasonForUniversalServiceCostRange(ST objReasonForUniversalServiceCostRange)` Set the Reason for Universal Service Cost Range.
    `void` | `setReasonForUniversalServiceCostRange(java.lang.String strReasonForUniversalServiceCostRange)` Set the Reason for Universal Service Cost Range.
    `void` | `setSetID_MCP(SI objSetID_MCP)` Set the Set ID - MCP.
    `void` | `setSetID_MCP(java.lang.String strSetID_MCP)` Set the Set ID - MCP.
    `void` | `setUniversalServicePriceRange_HighValue(MO objUniversalServicePriceRange_HighValue)` Set the Universal Service Price Range – High Value.
    `void` | `setUniversalServicePriceRange_HighValue(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Universal Service Price Range – High Value.
    `void` | `setUniversalServicePriceRange_LowValue(MO objUniversalServicePriceRange_LowValue)` Set the Universal Service Price Range – Low Value.
    `void` | `setUniversalServicePriceRange_LowValue(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Universal Service Price Range – Low Value.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MCP

          public MCP()

      Constructs the OMC segment.

  - ### Method Detail

    - #### getSetID_MCP

          public SI getSetID_MCP()

      Retrieves the Set ID - MCP. This field contains the number that identifies this transaction.
      Returns:
        SI - SetID_MCP

    - #### setSetID_MCP

          public void setSetID_MCP(java.lang.String strSetID_MCP)

      Set the Set ID - MCP. This field contains the number that identifies this transaction.
      Parameters:
        `strSetID_MCP` - This field contains the String Value of Set ID - MCP

    - #### setSetID_MCP

          public void setSetID_MCP(SI objSetID_MCP)

      Set the Set ID - MCP. This field contains the number that identifies this transaction.
      Parameters:
        `objSetID_MCP` - Object of Set ID - MCP.

    - #### getProducerServiceTestObservationID

          public CWE getProducerServiceTestObservationID()

      Retrieves the Producer Service Test Observation ID. This field contains the producer's usual or preferred identification of the test or observation.
      Returns:
        CWE - producerServiceTestObservationID

    - #### setProducerServiceTestObservationID

          public void setProducerServiceTestObservationID(java.lang.String strIdentifier,
                                                 java.lang.String strText,
                                                 java.lang.String strNameOfCodingSystem,
                                                 java.lang.String strAlternateIdentifier,
                                                 java.lang.String strAlternateText,
                                                 java.lang.String strNameOfAlternateCodingSystem,
                                                 java.lang.String strCodingSystemVersionID,
                                                 java.lang.String strAlternateCodingSystemVersionId,
                                                 java.lang.String strOriginalText,
                                                 java.lang.String strSecondAlternateIdentifier,
                                                 java.lang.String strSecondAlternateText,
                                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                                 java.lang.String strCodingSystemOID,
                                                 java.lang.String strValueSetOID,
                                                 java.lang.String strValueSetVersionID,
                                                 java.lang.String strAlternateCodingSystemOID,
                                                 java.lang.String strAlternateValueSetOID,
                                                 java.lang.String strAlternateValueSetVersionID,
                                                 java.lang.String strSecondAlternateCodingSystemOID,
                                                 java.lang.String strSecondAlternateValueSetOID,
                                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Producer Service Test Observation ID. This field contains the producer's usual or preferred identification of the test or observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProducerServiceTestObservationID

          public void setProducerServiceTestObservationID(CWE objproducerServiceTestObservationID)

      Set the Producer Service Test Observation ID. This field contains the producer's usual or preferred identification of the test or observation.
      Parameters:
        `objproducerServiceTestObservationID` - Object of Producer Service Test Observation ID.

    - #### getUniversalServicePriceRange_LowValue

          public MO getUniversalServicePriceRange_LowValue()

      Retrieves the Universal Service Price Range – Low Value. This field Specifies the lowest price for the Universal Service that needs to be disclosed on the payer notification to the patient (for example Medicare ABN).
      Returns:
        MO - UniversalServicePriceRange_LowValue

    - #### setUniversalServicePriceRange_LowValue

          public void setUniversalServicePriceRange_LowValue(java.lang.String strQuantity,
                                                    java.lang.String strDenomination)

      Set the Universal Service Price Range – Low Value. Specifies the lowest price for the Universal Service that needs to be disclosed on the payer notification to the patient (for example Medicare ABN).
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.

    - #### setUniversalServicePriceRange_LowValue

          public void setUniversalServicePriceRange_LowValue(MO objUniversalServicePriceRange_LowValue)

      Set the Universal Service Price Range – Low Value. Specifies the lowest price for the Universal Service that needs to be disclosed on the payer notification to the patient (for example Medicare ABN).
      Parameters:
        `objUniversalServicePriceRange_LowValue` - Object of Universal Service Price Range – Low Value.

    - #### getUniversalServicePriceRange_HighValue

          public MO getUniversalServicePriceRange_HighValue()

      Retrieves the Universal Service Price Range – High Value. Specifies the highest price for the Universal Service that needs to be disclosed on the payer notification to the patient (for example Medicare ABN).
      Returns:
        MO - UniversalServicePriceRange_HighValue

    - #### setUniversalServicePriceRange_HighValue

          public void setUniversalServicePriceRange_HighValue(java.lang.String strQuantity,
                                                     java.lang.String strDenomination)
                                                       throws InvalidDataTypeException

      Set the Universal Service Price Range – High Value. Specifies the highest price for the Universal Service that needs to be disclosed on the payer notification to the patient (for example Medicare ABN).
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.
      Throws:
        `InvalidDataTypeException`

    - #### setUniversalServicePriceRange_HighValue

          public void setUniversalServicePriceRange_HighValue(MO objUniversalServicePriceRange_HighValue)

      Set the Universal Service Price Range – High Value. Specifies the highest price for the Universal Service that needs to be disclosed on the payer notification to the patient (for example Medicare ABN).
      Parameters:
        `objUniversalServicePriceRange_HighValue` - Object of Universal Service Price Range – High Value.

    - #### getReasonForUniversalServiceCostRange

          public ST getReasonForUniversalServiceCostRange()

      Retrieves the Reason for Universal Service Cost Range. Specifies the reason for the interval between the lowest and the highest price for the Universal Service, for example additional testing (reflex test) that is added based on values of the initial test.
      Returns:
        ST - ReasonForUniversalServiceCostRange

    - #### setReasonForUniversalServiceCostRange

          public void setReasonForUniversalServiceCostRange(java.lang.String strReasonForUniversalServiceCostRange)

      Set the Reason for Universal Service Cost Range. Specifies the reason for the interval between the lowest and the highest price for the Universal Service, for example additional testing (reflex test) that is added based on values of the initial test.
      Parameters:
        `strReasonForUniversalServiceCostRange` - String to be passed as Reason for Universal Service Cost Range

    - #### setReasonForUniversalServiceCostRange

          public void setReasonForUniversalServiceCostRange(ST objReasonForUniversalServiceCostRange)

      Set the Reason for Universal Service Cost Range. Specifies the reason for the interval between the lowest and the highest price for the Universal Service, for example additional testing (reflex test) that is added based on values of the initial test.
      Parameters:
        `objReasonForUniversalServiceCostRange` - Object of Reason for Universal Service Cost Range.